- Qt 5.15
- Qt WebEngine
- C++ Classes
- QWebEngineFindTextResult
- Qt 5.15.19 Reference Documentation

# QWebEngineFindTextResult Class

The QWebEngineFindTextResult class encapsulates the result of a string search on a page. More...

Header: | #include <QWebEngineFindTextResult>
Since: | Qt 5.14
Instantiated By: | FindTextResult

This class was introduced in Qt 5.14.

- List of all members, including inherited members

## Properties

- activeMatch : const int
- numberOfMatches : const int

## Public Functions

int | activeMatch() const
int | numberOfMatches() const

## Detailed Description

The string search can be initiated by the QWebEnginePage::findText() or WebEngineView.findText() method. The results of the search are highlighted in the view. The details of this result are passed as a QWebEngineFindTextResult object that can be used to show a status message, such as "2 of 2 matches". For example:

     QObject::connect(view.page(), &QWebEnginePage::findTextFinished, [](const QWebEngineFindTextResult &result) {
         qInfo() << result.activeMatch() << "of" << result.numberOfMatches() << "matches";
     });

Results are passed to the user in the QWebEnginePage::findTextFinished() and WebEngineView.findTextFinished() signals.

## Property Documentation

### activeMatch : const int

This property holds the index of the currently highlighted match.

Access functions:

int | activeMatch() const

### numberOfMatches : const int

This property holds the number of matches found.

Access functions:

int | numberOfMatches() const